import axios from "axios";
import FormData from "form-data";

// lineNotify
export function lineNotify(props: ILineNotify) {
	const { LINE_ACCESS_TOKEN, message, imageFile } = props;
	let data = new FormData();
	data.append("message", message);
	if (imageFile) {
		// 添加圖像文件
		data.append("imageFile", imageFile, "image.jpg");
	}

	let config = {
		method: "post",
		maxBodyLength: Infinity,
		url: "https://notify-api.line.me/api/notify",
		headers: {
			"Authorization": `Bearer ${LINE_ACCESS_TOKEN}`,
			...data.getHeaders()
		},
		data: data
	};

	axios.request(config)
		.then((response) => {
			// console.log(JSON.stringify(response.data));
		})
		.catch((error) => {
			console.log(error);
		});

}

interface ILineNotify { LINE_ACCESS_TOKEN: string, message: string, imageFile?: Buffer }