import mysql from "mysql";
import Tools from "./Tools";

export async function sqlSendQuery(query: string) {
	try {
		const connection: mysql.Connection = mysql.createConnection({
			host: process.env.DB_HOST,
			port: +process.env.DB_PORT,
			user: process.env.DB_USER,
			password: process.env.DB_PASSWORD,
			database: process.env.DB_DATABASE
		});
		connection.connect();

		let resp: any = null;
		let run: boolean = true;
		connection.query(query, function (err: mysql.MysqlError, rows: any, fields: mysql.FieldInfo[]): void {
			if (err) {
				console.error(`${query} Error: \n${err.message}`);
				run = false;
			}
			resp = rows;
			run = false;
		});
		while (run) {
			await Tools.Sleep(100);
		}
		// 释放连接
		connection.end();
		return resp;

	} catch (error) {
		console.error("MySQL 连接失败:", error);
		return null;
	}
}
